# MapperWriteCRUDRepo

constructor(to: WriteCRUDRepo < ToRegistered , ToId , ToInput >, mapper: MapperRepo < FromId , FromRegistered , ToId , ToRegistered >, inputMapper: SimpleSuspendableMapper < FromInput , ToInput >)(source)

#### Parameters

to

The underlying repository to wrap

mapper

The mapper for keys and values

inputMapper

The mapper for input types

#### Type Parameters

FromId

The external ID type

FromRegistered

The external object type for read operations

FromInput

The external input type for write operations

ToId

The internal ID type

ToRegistered

The internal object type for read operations

ToInput

The internal input type for write operations